## org.eclipse.datatools.sqltools.db.derby.parser
Class ASTSQLStatement

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode
          org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
              org.eclipse.datatools.sqltools.db.derby.parser.ASTSQLStatement

All Implemented Interfaces:
  DerbySQLParserConstants, IASTSQLStatement, Node

    public class ASTSQLStatement

extends SimpleNode
implements IASTSQLStatement, DerbySQLParserConstants

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.db.derby.parser.DerbySQLParserConstants

`ADD, ALTER, AND, ANY, AS, ASC, ASTERISK, AT, AUTHORIZATION, AVG, BEGIN, BETWEEN, BINARY_LITERAL, BREAK, BROWSE, BULK, BY, CASCADE, CASE, CHECK, CHECKPOINT, CLOSE, CLOSEDESCRIPTION, CLOSEPAREN, CLUSTERED, COALESCE, COMMA, COMMENT_CONTENT, COMMIT, COMPUTE, CONCAT, CONFIRM, CONNECT, CONSTRAINT, CONTINUE, CONTROLROW, CONVERT, COUNT, CREATE, CURRENT, CURSOR, DATABASE, DBCC, DEALLOCATE, DECLARE, DEFAULT, DEFAULT_VAL, DELETE, DESC, DESCRIPTION, DESCRIPTION_START_STATE, DESCRIPTION_STATE, DETERMINISTIC, DIGIT, DISK, DISTINCT, DOT, DOUBLE, DOUBLE_STRING_LITERAL, DROP, DUMMY, DUMP, ELSE, END, ENDTRAN, EOF, EQUAL, ESCAPE, EVENT, EXCEPT, EXCLUSIVE, EXEC, EXECUTE, EXISTS, EXIT, EXPONENT, EXTERNAL, FETCH, FILLFACTOR, FLOATING_POINT_LITERAL, FOR, FOREIGN, FROM, FUNC, FUNCTION, GLOBAL_VAR_NAME, GO, GOTO, GRANT, GREATER, GREATEREQUAL, GROUP, HAVING, HEXDIGIT, HOLDLOCK, ID, IDENTITY, IF, IN, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INDEX, INOUT, INSERT, INSTALL, INTEGER_LITERAL, INTERSECT, INTO, INVALID_TOKEN, IS, ISOLATION, JAR, JAVA_REF, JOIN, JOINPLUS, KEY, KILL, LABEL, LEQJOIN, LESS, LESSEQUAL, LETTER, LEVEL, LIKE, LOAD, LOCK, MAX, MIN, MINUS, MODIFY, MONEY_LITERAL, NATIONAL, NO, NOHOLDLOCK, NONCLUSTERED, NOT, NOTEQUAL, NULL, NULLIF, OF, OFF, OFFSETS, ON, ONCE, ONLINE, ONLY, OPEN, OPENDESCRIPTION, OPENPAREN, OPTION, OR, ORDER, OUT, OUTPUT, OVER, PARTITION, PERM, PERMANENT, PLAN, PLUS, PREPARE, PRIMARY, PRINT, PRIVILEGES, PROC, PROCEDURE, PROCESSEXIT, PROXY_TABLE, PUBLIC, QUESTIONMARK, QUIESCE, RAISERROR, READ, READPAST, READTEXT, RECONFIGURE, REFERENCES, REMOVE, REORG, REPLACE, REPLICATION, REQJOIN, RETURN, RETURNS, REVOKE, ROLE, ROLLBACK, ROWCOUNT, ROWS, ROWTYPE, RULE, SAVE, SCHEMA, SELECT, SEMICOLON, SET, SETUSER, SHARED, SHUTDOWN, SINGLE_LINE_COMMENT, SINGLE_STRING_LITERAL, SLASH, SOME, SQUARE_BRACKET_ID, STATISTICS, STRINGSIZE, STRIPE, SUM, SYMBOL, TABLE, TEMP, TEMP_TABLE_NAME, TEMPORARY, TEXTSIZE, TILDE, TO, tokenImage, TRAN, TRANSACTION, TRUNCATE, UK_DOUBLE_PRECISION, UK_NCHAR_S, UK_NCHAR_S1, UK_NO_SCROLL, UK_NVARCHAR_S, UK_NVARCHAR_S1, UK_NVARCHAR_S2, UK_SEMI_SENSITIVE, UK_VARCHAR_S, UK_VARCHAR_S1, UNION, UNIQUE, UNPARTITION, UPDATE, USE, USER, USING, VALUES, VAR_NAME, VAR_NAME_BODY, VARYING, VIEW, WAITFOR, WHEN, WHERE, WHILE, WITH, WORK, WRITETEXT`

Constructor Summary
`ASTSQLStatement(DerbySQLParser p, int id)`
`ASTSQLStatement(int id)`

Method Summary
`void` `addObjectIdentifier(java.lang.String name)` Adds an object identifier to represent this statement.
`java.util.Collection` `getObjectIdentifiers()` What database objects does this statement operate on.
`int` `getType()` see SQLParserConstants
`java.lang.Object` `jjtAccept(DerbySQLParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.sqltools.db.derby.parser.SimpleNode
`childrenAccept, dump, toString`

Methods inherited from class org.eclipse.datatools.sqltools.sql.parser.ast.SimpleNode

`acceptChildren, equals, exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, getText, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`

Constructor Detail

### ASTSQLStatement

    public ASTSQLStatement(int id)

### ASTSQLStatement

    public ASTSQLStatement(DerbySQLParser p,
                           int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(DerbySQLParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Overrides:
    `jjtAccept` in class `SimpleNode`

### getType

    public int getType()

  Description copied from interface: `IASTSQLStatement`
  see SQLParserConstants

  Specified by:
    `getType` in interface `IASTSQLStatement`
  Returns:

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SimpleNode`

### getObjectIdentifiers

    public java.util.Collection getObjectIdentifiers()

  Description copied from interface: `IASTSQLStatement`
  What database objects does this statement operate on. This is mainly used to describe the statement in UI, such as outline view.

  Specified by:
    `getObjectIdentifiers` in interface `IASTSQLStatement`
  Returns:
    Collections of object name Strings

### addObjectIdentifier

    public void addObjectIdentifier(java.lang.String name)

  Description copied from interface: `IASTSQLStatement`
  Adds an object identifier to represent this statement.

  Specified by:
    `addObjectIdentifier` in interface `IASTSQLStatement`
  Parameters:
    `name` - the object name